Skip to main content
GET
/
v1
/
connections
List connections
curl --request GET \
  --url https://{instance}.omniapp.co/api/v1/connections \
  --header 'Authorization: Bearer <token>'
{
  "connections": [
    {
      "id": "c0f12353-4817-4398-bcc0-d501e6dd2f64",
      "name": "Production Database",
      "dialect": "postgres",
      "database": "prod_db",
      "baseRole": "NO_ACCESS",
      "deletedAt": null,
      "userAttributeNameForConnectionEnvironments": "environment",
      "userAttributeValuesForDefaultEnvironment": "<string>",
      "branchConnectionEnvironmentOverridesUserAttr": "false",
      "environmentConnectionSwitchesSchemaModel": "false",
      "defaultSchema": "public"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.omni.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Query Parameters

name
string

Filter connections by name (case-insensitive, partial matching)

database
string

Filter connections by database name (case-insensitive, partial matching)

dialect
enum<string>

Filter connections by dialect(s). For multiple dialects, provide a comma-separated list (e.g., postgres,mysql). The database dialect.

Available options:
athena,
bigquery,
clickhouse,
databricks,
databricks_lakebase,
exasol,
mariadb,
motherduck,
mssql,
mysql,
oracle,
postgres,
redshift,
sap_hana,
snowflake,
starrocks,
trino
sortField
enum<string>

Field to sort by

Available options:
database,
dialect,
name
sortDirection
enum<string>

Direction for sorting:

  • asc - Ascending order (A-Z, 0-9)
  • desc - Descending order (Z-A, 9-0)
Available options:
asc,
desc
includeDeleted
boolean

When true, the response includes deleted connections. Defaults to false.

Response

Returns a list of connections objects

connections
object[]